Package org.opentcs.data.model

# Enum Vehicle.IntegrationLevel

java.lang.Object
java.lang.Enum<Vehicle.IntegrationLevel>
org.opentcs.data.model.Vehicle.IntegrationLevel

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<Vehicle.IntegrationLevel>`, `java.lang.constant.Constable`

Enclosing class:
  Vehicle

    public static enum Vehicle.IntegrationLevel
    extends java.lang.Enum<Vehicle.IntegrationLevel>

A vehicle's state of integration into the system.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant | Description
  --- | ---
  `TO_BE_IGNORED` | The vehicle's reported position is ignored.
  `TO_BE_NOTICED` | The vehicle's reported position is noticed, meaning that resources will not be reserved for it.
  `TO_BE_RESPECTED` | The vehicle's reported position is respected, meaning that resources will be reserved for it.
  `TO_BE_UTILIZED` | The vehicle is fully integrated and may be assigned to transport orders.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static Vehicle.IntegrationLevel` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
  `static Vehicle.IntegrationLevel[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### TO_BE_IGNORED

    public static final Vehicle.IntegrationLevel TO_BE_IGNORED
    The vehicle's reported position is ignored.

  - ### TO_BE_NOTICED

    public static final Vehicle.IntegrationLevel TO_BE_NOTICED
    The vehicle's reported position is noticed, meaning that resources will not be reserved for it.

  - ### TO_BE_RESPECTED

    public static final Vehicle.IntegrationLevel TO_BE_RESPECTED
    The vehicle's reported position is respected, meaning that resources will be reserved for it.

  - ### TO_BE_UTILIZED

    public static final Vehicle.IntegrationLevel TO_BE_UTILIZED
    The vehicle is fully integrated and may be assigned to transport orders.

- ## Method Details

  - ### values

    public static Vehicle.IntegrationLevel[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static Vehicle.IntegrationLevel valueOf​(java.lang.String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
      `java.lang.NullPointerException` - if the argument is null